homozygote {GeneticsBase} | R Documentation

## Flag observations with specific allele patterns

### Description

homozygote
  Flag observatsions with identical alleles
heterozygote
  Flag observations with discordant alleles
carrier
  Flag observations containing a specified allele
dominant
  Flag observations containing one or more of the specified alleles.
recessive
  Flag observations containing only the specified alleles.

### Usage

    homozygote(object, ...)
    homozygote.geneSet(object, allele.names, marker, ...)

    heterozygote(object, ...)
    heterozygote.geneSet(object, allele.names, marker, ...)

    carrier(object, ...)
    carrier.geneSet(object, allele.names, marker, ...)

    dominant(object, ...)
    dominant.geneSet(object, allele.names, marker, ...)

    recessive(object, ...)
    recessive.geneSet(object, allele.names, marker, ...)

### Arguments

`object` | `geneSet` object
`allele.names` | (optional) allele names.
`marker` | (optional) marker names
`...` | (optional) additional arguments supplied

### Value

matrix of logicals.

### Author(s)

Gregory R. Warnes warnes@bst.rochester.edu and Nitin Jain nitin.jain@pfizer.com

### See Also

`geneSet`, `extractAlleles`

### Examples

    data(CAMP)
    lCAMP <- CAMP[,1:10] # 10 observations

    # see the genotypes
    genotypes(lCAMP)

    # which ones are homozygotes?
    homozygote(lCAMP)

    # which ones are carriers  for allele "2"?
    carrier(lCAMP, allele.names="2")

    # which markers are heterozygotes for marker m709
    heterozygote(lCAMP, marker="m709")

    # if '1' is dominant, which ones will show the
    # '1' phenotype for marker m47?
    dominant(lCAMP, allele.names="1", marker="m47")

    # if '2' is recessive, which ones will show the
    # '2' phenotype for marker m523?
    recessive(lCAMP, allele.names="2", marker="p523")

[Package GeneticsBase version 1.8.0 Index]